## ros-humble-irobot-create-msgs 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(irobot_create_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(action_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)

set(action_files
  "action/AudioNoteSequence.action"
  "action/Dock.action"
  "action/DriveArc.action"
  "action/DriveDistance.action"
  "action/LedAnimation.action"
  "action/NavigateToPosition.action"
  "action/RotateAngle.action"
  "action/Undock.action"
  "action/WallFollow.action"
)

set(msg_files
  "msg/AudioNote.msg"
  "msg/AudioNoteVector.msg"
  "msg/Button.msg"
  "msg/DockStatus.msg"
  "msg/HazardDetection.msg"
  "msg/HazardDetectionVector.msg"
  "msg/InterfaceButtons.msg"
  "msg/IrIntensity.msg"
  "msg/IrIntensityVector.msg"
  "msg/IrOpcode.msg"
  "msg/KidnapStatus.msg"
  "msg/LedColor.msg"
  "msg/LightringLeds.msg"
  "msg/Mouse.msg"
  "msg/SlipStatus.msg"
  "msg/StopStatus.msg"
  "msg/WheelStatus.msg"
  "msg/WheelTicks.msg"
  "msg/WheelVels.msg"
)

set(srv_files
  "srv/EStop.srv"
  "srv/ResetPose.srv"
  "srv/RobotPower.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${action_files}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES action_msgs builtin_interfaces geometry_msgs std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-irobot-create-msgs (2.1.0-1bookworm) bookworm; urgency=high

  * rename DockServo action into Dock and Dock msg into DockStatus
  * Contributors: Alberto Soragna

 -- Alberto Soragna <asoragna@irobot.com>  Wed, 14 Sep 2022 16:00:00 -0000

ros-humble-irobot-create-msgs (2.0.0-1bookworm) bookworm; urgency=high



 -- Alberto Soragna <asoragna@irobot.com>  Thu, 30 Jun 2022 16:00:00 -0000

ros-humble-irobot-create-msgs (1.2.4-1bookworm) bookworm; urgency=high

  * small comments cleanup
  * Add action for audio sequence
  * Contributors: Justin Kearns, Steven Shamlian

 -- Alberto Soragna <asoragna@irobot.com>  Tue, 08 Mar 2022 16:00:00 -0000

ros-humble-irobot-create-msgs (1.2.3-1bookworm) bookworm; urgency=high

  * Remove _t in uint16_t and add notes to cmake
  * Add vector of notes message. Match LedColor and have header info included in the sequence of notes only
  * Add std_msgs/Header for future
  * Add message to play audio note
  * Fix wrong link in README.md
  * change to buildtool_depend
  * Without this change, raspian buster compile complained it couldn't find rosidl_default_generators
  * Fix documentation
  * Update documentation for pwm
  * Contributors: Alberto Soragna, Jonathan Dorich, Justin Kearns, jdorich14

 -- Alberto Soragna <asoragna@irobot.com>  Thu, 03 Mar 2022 16:00:00 -0000

ros-humble-irobot-create-msgs (1.2.2-1bookworm) bookworm; urgency=high

  * Add documentation for WheelStatus
  * Add message for WheelStatus and translate direction for DriveArc action
  * Contributors: Justin Kearns

 -- Alberto Soragna <asoragna@irobot.com>  Wed, 01 Dec 2021 16:00:00 -0000

ros-humble-irobot-create-msgs (1.2.1-1bookworm) bookworm; urgency=high

  * Add dist to goal feedback
  * use translation max for drive arc
  * add optional max speed parameters
  * Add actions for API used by Root Coding robot
  * Documentation updates
    Minor grammatical and typographical changes. Also removed an unplanned command.
  * update package.xml with new license
  * update license to BSD-3
  * Contributors: Alberto Soragna, Justin Kearns, Steven Shamlian

 -- Alberto Soragna <asoragna@irobot.com>  Tue, 23 Nov 2021 16:00:00 -0000

ros-humble-irobot-create-msgs (1.2.0-1bookworm) bookworm; urgency=high

  * bump version to 1.2.0
  * Add CODEOWNERS file
  * Add issue templates
  * Initial import of irobot Create3 messages
  * Initial commit
  * Contributors: Alberto Soragna

 -- Alberto Soragna <asoragna@irobot.com>  Thu, 30 Sep 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-irobot-create-msgs
Section: misc
Priority: optional
Maintainer: Alberto Soragna <asoragna@irobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-irobot-create-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Package containing action, message, and service definitions used by the iRobot(R) Create(R) platform

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-irobot-create-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-irobot-create-msgs//opt/ros/humble/opt/irobot_create_msgs/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
